Bug 1542968 - authconfig to authselect changes for anaconda
Summary: authconfig to authselect changes for anaconda
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-07 13:23 UTC by Samantha N. Bueno
Modified: 2019-05-28 19:44 UTC (History)
8 users (show)

Fixed In Version: anaconda-28.22.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:44:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Samantha N. Bueno 2018-02-07 13:23:50 UTC
authconfig is being deprecated, and authselect is replacing it. There is an authconfig-compat tool in the meantime that will act as a shim layer between authconfig<->authselect, but we should be using authselect.

Work we need to do:

(Internally)

pyanaconda.users, pyanaconda.installation, pyanaconda.kickstart, tests/pyanaconda_tests/kickstart_manager.py, and tests/pyanaconda_tests/kickstart_dispatcher.py all issue calls to authconfig. These should be changed to call authselect. Some of the options we are passing (e.g. --passalgo) are going away with authselect; these need to be removed.


Externally/user-visible)

In kickstart, the auth/authconfig command should point to a call to authconfig-compat. The authconfig maintainer expects that authconfig-compat will be symlinked to authconfig, but we should print a deprecation warning about auth/authconfig at least.

A new ks command (authselect) should be made that calls authselect.

Our documentation already states that we merely pass the ks directive to the authconfig tool, and whatever is supported there is in that way supported by us as well. We should update the docs, however, to note that auth/authconfig is deprecated, and to make note of an authselect command.

Comment 1 Vendula Poncova 2018-02-13 12:47:33 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1327

Comment 2 Fedora End Of Life 2018-02-20 15:29:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 22:00:20 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:44:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.